# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section         free

Summary:        Shared APIs of Apache Directory Project
Name:           apacheds-shared
Version:        0.9.19
Release:        1%{?dist}
Epoch:          0
Group:          Applications/Internet
License:        Apache 2.0 License
URL:            http://directory.apache.org/subprojects/shared/
Source0:        %{name}-%{version}.tgz
# svn export http://svn.apache.org/repos/asf/directory/shared/tags/0.9.19/ apacheds-shared-0.9.19


Source1:        directory-project-17.tgz
# svn export http://svn.apache.org/repos/asf/directory/project/tags/17/ directory-project-17

Source2:        %{name}-jpp-depmap.xml
Source3:        %{name}-settings.xml

Patch0:         directory-project-17-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-antlr
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-stage
BuildRequires:  maven-jxr
BuildRequires:  maven-release
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  mojo-maven2-plugin-antlr
BuildRequires:  mojo-maven2-plugin-rat
BuildRequires:  mojo-maven2-plugin-shade
BuildRequires:  mojo-maven2-support
BuildRequires:  geronimo-genesis
BuildRequires:  apache-jar-resource-bundle

BuildRequires:  junit
BuildRequires:  bouncycastle

BuildRequires:  antlr
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-lang
BuildRequires:  slf4j
BuildRequires:  nlog4j
BuildRequires:  mina

Requires:  java >= 0:1.6.0
Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root


%description
This package contains the shared APIs of the
Apache Directory Project.

%package asn1-codec
Group:          Security/Cryptography
Summary:        Apache shared ASN.1 Codec
Requires:       mina
Requires:       %{name} = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description asn1-codec
The ASN.1 subproject attempts to isolate the ASN.1 libraries and tools
for encoding ASN.1 in BER/DER/CER/PER encodings. The LDAP and X.500
aspects of the directory project impose the need for ASN.1 and BER
codecs.  Kerberos requires DER.  Rather than implement highly
specific and britle code for these needs we decided to separate out
the APIs and implementations used for dealing with ASN.1 codecs for any
ASN.1 defined protocol.

%package asn1
Group:          Security/Cryptography
Summary:        Apache shared ASN.1 Tools
Requires:       %{name}-asn1-codec = %{epoch}:%{version}-%{release}
Requires:       slf4j
Requires:       %{name} = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description asn1
The ASN.1 subproject attempts to isolate the ASN.1 libraries and tools
for encoding ASN.1 in BER/DER/CER/PER encodings. The LDAP and X.500
aspects of the directory project impose the need for ASN.1 and BER
codecs.  Kerberos requires DER.  Rather than implement highly
specific and britle code for these needs we decided to separate out
the APIs and implementations used for dealing with ASN.1 codecs for any
ASN.1 defined protocol.

%package ldap
Group:          Development/Libraries
Summary:        Shared LDAP APIs of Apache Directory Project
Requires:       %{name}-asn1-codec = %{epoch}:%{version}-%{release}
Requires:       %{name}-asn1 = %{epoch}:%{version}-%{release}
Requires:       antlr
Requires:       apache-commons-collections
Requires:       slf4j
Requires:       %{name} = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description ldap
%{summary}.

%package dsml-parser
Group:          Development/Libraries
Summary:        DSML parser from Apache Directory Project
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-asn1 = %{epoch}:%{version}-%{release}
Requires:       %{name}-ldap = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description dsml-parser
%{summary}.

%package cursor
Group:          Development/Libraries
Summary:        Cursor from Apache Directory Project
Requires:       %{name} = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description cursor
%{summary}.

%package converter
Group:          Development/Libraries
Summary:        Shared converters from Apache Directory Project
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       %{name}-ldap = %{epoch}:%{version}-%{release}
%if %{gcj_support}
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif

%description converter
%{summary}.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}
Provides:       %{name}-asn1-codec-javadoc
Obsoletes:      %{name}-asn1-javadoc < %{epoch}-%{version}
Provides:       %{name}-asn1-javadoc
Obsoletes:      %{name}-ldap-javadoc < %{epoch}-%{version}
Provides:       %{name}-ldap-javadoc

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}
gzip -dc %{SOURCE1} | tar xf -
%patch0 -b .sav0

%build
cp %{SOURCE3} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

export M2SETTINGS=$(pwd)/maven2-settings.xml
export MAVEN_REPO_LOCAL=`pwd`/m2_repo/repository

mkdir -p $MAVEN_REPO_LOCAL/org/apache/directory/project/project/17/
cp directory-project-17/pom.xml \
   $MAVEN_REPO_LOCAL/org/apache/directory/project/project/17/project-17.pom


mkdir external_repo
ln -s %{_javadir} external_repo/JPP

pushd i18n
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        install
popd

pushd ldap-constants
mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        install
popd

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.test.failure.ignore=true \
        install

mvn-jpp -e \
        -s ${M2SETTINGS} \
        -Daggregate=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        javadoc:javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 0755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 asn1-codec/target/shared-asn1-codec-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-asn1-codec-%{version}.jar
install -m 644 asn1-codec/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-asn1-codec.pom
%add_to_maven_depmap org.apache.directory.shared shared-asn1-codec %{version} JPP %{name}-asn1-codec

install -m 644 asn1/target/shared-asn1-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-asn1-%{version}.jar
install -m 644 asn1/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-asn1.pom
%add_to_maven_depmap org.apache.directory.shared shared-asn1 %{version} JPP %{name}-asn1

install -m 644 cursor/target/shared-cursor-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-cursor-%{version}.jar
install -m 644 cursor/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-cursor.pom
%add_to_maven_depmap org.apache.directory.shared shared-cursor %{version} JPP %{name}-cursor

install -m 644 dsml-parser/target/shared-dsml-parser-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-dsml-parser-%{version}.jar
install -m 644 dsml-parser/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-dsml-parser.pom
%add_to_maven_depmap org.apache.directory.shared shared-dsml-parser %{version} JPP %{name}-dsml-parser

install -m 644 i18n/target/shared-i18n-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-i18n-%{version}.jar
install -m 644 i18n/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-i18n.pom
%add_to_maven_depmap org.apache.directory.shared shared-i18n %{version} JPP %{name}-i18n

install -m 644 ldap/target/shared-ldap-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldap-%{version}.jar
install -m 644 ldap/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldap.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldap %{version} JPP %{name}-ldap

install -m 644 ldap-constants/target/shared-ldap-constants-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldap-constants-%{version}.jar
install -m 644 ldap-constants/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldap-constants.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldap-constants %{version} JPP %{name}-ldap-constants

install -m 644 ldap-convert/target/shared-ldap-converter-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldap-converter-%{version}.jar
install -m 644 ldap-convert/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldap-converter.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldap-converter %{version} JPP %{name}-ldap-converter

install -m 644 ldap-jndi/target/shared-ldap-jndi-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldap-jndi-%{version}.jar
install -m 644 ldap-jndi/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldap-jndi.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldap-jndi %{version} JPP %{name}-ldap-jndi

install -m 644 ldap-ldif/target/shared-ldif-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldif-%{version}.jar
install -m 644 ldap-ldif/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldif.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldif %{version} JPP %{name}-ldif

install -m 644 ldap-schema-dao/target/shared-ldap-schema-dao-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldap-schema-dao-%{version}.jar
install -m 644 ldap-schema-dao/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldap-schema-dao.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldap-schema-dao %{version} JPP %{name}-ldap-schema-dao

install -m 644 ldap-schema-loader/target/shared-ldap-schema-loader-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldap-schema-loader-%{version}.jar
install -m 644 ldap-schema-loader/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldap-schema-loader.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldap-schema-loader %{version} JPP %{name}-ldap-schema-loader

install -m 644 ldap-schema-manager/target/shared-ldap-schema-manager-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldap-schema-manager-%{version}.jar
install -m 644 ldap-schema-manager/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldap-schema-manager.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldap-schema-manager %{version} JPP %{name}-ldap-schema-manager

install -m 644 ldap-schema/target/shared-ldap-schema-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-ldap-schema-%{version}.jar
install -m 644 ldap-schema/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-ldap-schema.pom
%add_to_maven_depmap org.apache.directory.shared shared-ldap-schema %{version} JPP %{name}-ldap-schema

install -m 644 all/target/shared-all-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-all-%{version}.jar
install -m 644 all/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-all.pom
%add_to_maven_depmap org.apache.directory.shared shared-all %{version} JPP %{name}-all

install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}-parent.pom
%add_to_maven_depmap org.apache.directory.shared shared-parent %{version} JPP %{name}-parent

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/
ln -sf %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} #ghost

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post converter
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun converter
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%post 
%update_maven_depmap

%postun cursor
%update_maven_depmap

%if %{gcj_support}
%post dsml-parser
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun dsml-parser
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post cursor
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun cursor
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post asn1-codec
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun asn1-codec
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post asn1
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun asn1
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%post ldap
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%if %{gcj_support}
%postun ldap
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files 
%defattr(0644,root,root,0755)
%doc directory-project-17/LICENSE.txt
%{_javadir}/%{name}-all-%{version}.jar
%{_javadir}/%{name}-all.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files asn1-codec
%defattr(0644,root,root,0755)
%doc directory-project-17/LICENSE.txt
%{_javadir}/%{name}-asn1-codec-%{version}.jar
%{_javadir}/%{name}-asn1-codec.jar
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-asn1-codec-%{version}.jar.*
%endif

%files asn1
%defattr(0644,root,root,0755)
%doc directory-project-17/LICENSE.txt
%{_javadir}/%{name}-asn1-%{version}.jar
%{_javadir}/%{name}-asn1.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-asn1-%{version}.jar.*
%endif

%files ldap
%defattr(0644,root,root,0755)
%doc directory-project-17/LICENSE.txt
%{_javadir}/%{name}-ldap*.jar
%{_javadir}/%{name}-ldif*.jar
%{_javadir}/%{name}-i18n*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-ldap-%{version}.jar.*
%endif

%files cursor
%defattr(0644,root,root,0755)
%doc directory-project-17/LICENSE.txt
%{_javadir}/%{name}-cursor*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-cursor-%{version}.jar.*
%endif

%files dsml-parser
%defattr(0644,root,root,0755)
%doc directory-project-17/LICENSE.txt
%{_javadir}/%{name}-dsml-parser*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-dsml-parser-%{version}.jar.*
%endif

%files converter
%defattr(0644,root,root,0755)
%doc directory-project-17/LICENSE.txt
%{_javadir}/%{name}-ldap-converter*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-ldap-converter-%{version}.jar.*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Fri Jul 01 2011 Ralph Apel <r.apel at r-apel.de> 0:0.9.19-1
- 0.9.19

* Sun Mar 20 2011 Ralph Apel <r.apel at r-apel.de> 0:0.9.15-1
- 0.9.15

* Fri Apr 17 2009 Ralph Apel <r.apel at r-apel.de> 0:0.9.12-2.jpp5
- (B)R mina11 instead of mina10

* Tue Apr 07 2009 Ralph Apel <r.apel at r-apel.de> 0:0.9.12-1.jpp5
- 0.9.12

* Tue Jul 08 2008 Ralph Apel <r.apel at r-apel.de> 0:0.9.5.5-2.jpp5
- Import to cvs

* Fri Jun 20 2008 Ralph Apel <r.apel at r-apel.de> 0:0.9.5.5-1.jpp5
- 0.9.5.5

* Thu Mar 15 2007 Ralph Apel <r.apel at r-apel.de> 0:0.9.5.3-2jpp
- Add maven2-plugin-* BRs

* Fri Oct 27 2006 Ralph Apel <r.apel at r-apel.de> 0:0.9.5.3-1jpp
- Update to 0.9.5.3 for apacheds-1.0.0
- Add post/postun Requires for javadoc
- Add gcj_support option
- ssl related unit tests patched if java < 1.5

* Wed Mar 15 2006 Ralph Apel <r.apel at r-apel.de> 0:0.9.5-1jpp
- First JPackage release.
